part of tecfy_core_client_package;

abstract class IEntityAction {
  OperationResult<List<EAction>?> getActions(Map<String, dynamic>? data);
  Future<OperationResult> execAction(
    String name,
    Map<String, dynamic> data,
    BuildContext context,
  );
}

class EAction {
  String dbName;
  String nameAr;
  String nameEn;
  Widget icon;
  IconData iconData;
  EAction(
      {required this.dbName,
      required this.nameAr,
      required this.nameEn,
      required this.icon,
      required this.iconData});
}
