part of tecfy_core_client_package;

class EntityCategory {
  late String nameAr;
  late String nameEn;
  String get name => LocalConfigService.isArabic ? nameAr : nameEn;
  late String dbName;
  late List<Entity> entities;

  EntityCategory.fromMap(Map<String, dynamic> row) {
    nameAr = row['nameAr'];
    nameEn = row['nameEn'];
    dbName = row['dbName'];
    entities =
        row['childrenEntity']?.map<Entity>((d) => Entity.fromMap(d)).toList() ??
            [];
  }
}
