part of tecfy_core_client_package;

class PropertyOtherEntityMany extends Property {
  late String entityName;
  late String idProperty;

  PropertyOtherEntityMany.fromMap(Map<String, dynamic> row)
      : super.fromMap(row) {
    entityName = lowerFirst(row['entityName']) ?? '';
    idProperty = lowerFirst(row['idProperty']) ?? '';
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  Widget getDisplayWidget(Map<String, dynamic> data,
      {double size = 12, Color color = Colors.black}) {
    return Text('OtherEntityMany');
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
