part of tecfy_core_client_package;

class DashboardChart extends DashboardItemBase {
  late String chartType;
  late List<String> properties;
  late List<String> labelsEn;
  late List<String> labelsAr;
  late List<String> propertiesColor;
  Map<String, dynamic>? data;

  DashboardChart.fromMap(Map<String, dynamic>? map) : super.fromMap(map) {
    if (map == null) return;
    chartType = map['chartType'];
    if (map['properties'] != null)
      properties = map['properties'].cast<String>();
    if (map['labelsEn'] != null) labelsEn = map['labelsEn'].cast<String>();
    if (map['labelsAr'] != null) labelsAr = map['labelsAr'].cast<String>();
    if (map['propertiesColor'] != null)
      propertiesColor = map['propertiesColor'].cast<String>();
  }
}
