part of tecfy_core_client_package;

class PlatformService {
  static bool get isSupportLocalDBSupported =>
      !kIsWeb &&
      (Platform.isAndroid ||
          Platform.isIOS ||
          Platform.isMacOS ||
          Platform.isWindows ||
          Platform.isLinux);
  static bool get isSoundSupport => kIsWeb || !Platform.isWindows;
  static bool get isBarcodeSupported =>
      !kIsWeb && (Platform.isAndroid || Platform.isIOS || Platform.isMacOS);
  static bool get isBluetoothSupported =>
      !kIsWeb && (Platform.isAndroid || Platform.isIOS || Platform.isMacOS);
}
